Package org.eclipse.pde.ui.target

# Interface ITargetLocationUpdater

@Deprecated public interface ITargetLocationUpdater
Deprecated.
use `ITargetLocationHandler` instead
Contributed target locations that want to support updating in the target wizard and editor must adapt their `ITargetLocation` to this interface.

Since:
  3.7
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`STATUS_CODE_NO_CHANGE`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canUpdate(ITargetDefinition target, ITargetLocation targetLocation)`
Deprecated.
`IStatus`
`update(ITargetDefinition target, ITargetLocation targetLocation, IProgressMonitor monitor)`
Deprecated.

## Field Details

### STATUS_CODE_NO_CHANGE

@Deprecated static final int STATUS_CODE_NO_CHANGE
Deprecated.
Status code that can be set on an OK status returned by `update(ITargetDefinition, ITargetLocation, IProgressMonitor)`

If this status code is set, the target will not resolve the target after the update completes.

See Also:
  - Constant Field Values

## Method Details

### canUpdate

@Deprecated boolean canUpdate(ITargetDefinition target, ITargetLocation targetLocation)
Deprecated.
Returns whether this updater can update the given target location. This method will be called when a selection is made to determine if the update button should be enabled.

Parameters:
  `target` - the target definition being edited
  `targetLocation` - the target location to update
Returns:
  whether this update can update the given target location

### update

@Deprecated IStatus update(ITargetDefinition target, ITargetLocation targetLocation, IProgressMonitor monitor)
Deprecated.
Updates the given target location. If an OK status is returned, the target will be resolved unless the status has the code `STATUS_CODE_NO_CHANGE`. If a non-OK status is returned the message will be presented to the user.

This method may be called from a non-UI thread. A progress monitor is provided.

Parameters:
  `target` - the target definition being edited
  `targetLocation` - the target location to update
  `monitor` - progress monitor
Returns:
  result of the update, use an OK status with `STATUS_CODE_NO_CHANGE` to indicate everything is up to date